Bug 663797 - (CVE-2010-4336) CVE-2010-4336 collectd: DoS via the RRDtool and RRDCacheD plugins
CVE-2010-4336 collectd: DoS via the RRDtool and RRDCacheD plugins
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101127,reported=20101206,sou...
: Security
Depends On: 663799
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 16:07 EST by Vincent Danen
Modified: 2010-12-16 16:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-12-16 16:07:39 EST
It was reported [1],[2] that collectd is vulnerable to a denial of service condition via the RRDtool and RRDCacheD plugins.  These plugins, when creating a new RRD file, assert that the timestamp included with a value is greater than 10, however this condition is never actually checked anywhere, making it possible for the assertion to fail.

The code causing this problem appeared in version 4.0.8 (commit 9d52ed5f) and has been corrected upstream (commit 11893a7c), meaning it has been corrected in upstream versions 4.9.4 and 4.10.2 [2].  This affects all versions of collectd as shipped with Fedora.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605092
[2] http://secunia.com/advisories/42393/
[3] http://collectd.org/news.shtml#news86
Comment 1 Vincent Danen 2010-12-16 16:09:46 EST
Created collectd tracking bugs for this issue

Affects: fedora-all [bug 663799]

Note You need to log in before you can comment on or make changes to this bug.